Description

When LDAP cannot be connected for some reason, the following message is displayed.
The error message is displayed as it is, but I don't know if it is a message from LDAP. You can understand that it is an LDAP

message by adding a fixed message to the beginning as shown below.
Associated revisions

Revision 21310 - 2021-12-13 10:16 - Go MAEDA

Include an authentication method name in LDAP connection error messages (#33345).

Contributed by Yuichi HARADA.

History

#1 - 2020-05-02 07:14 - Go MAEDA

- Target version set to Candidate for next major release

#2 - 2020-09-13 04:26 - Go MAEDA

- Category set to Accounts / authentication

#3 - 2021-09-08 10:48 - Go MAEDA

I think that just simply adding the prefix "LDAP" to an error message is better.

LDAP: Connection refused - connect(2) for 192.0.2.1:389

 The reasons are as follows:

Adding the prefix "LDAP" is enough to understand that there is a problem with communication with the LDAP server

We don't have to add a new string to the locales

Redmine may support new auth sources other than LDAP in the future. The following way of using auth_method_name method can be applied

for new auth sources

diff --git a/app/models/auth_source_ldap.rb b/app/models/auth_source_ldap.rb

index 8ed7ce27f..846c7d2f3 100644

--- a/app/models/auth_source_ldap.rb

+++ b/app/models/auth_source_ldap.rb

@@ -63,7 +63,7 @@ class AuthSourceLdap < AuthSource

       end

     end

   rescue *NETWORK_EXCEPTIONS => e

-    raise AuthSourceException.new(e.message)

+    raise AuthSourceException.new("#{auth_method_name}: #{e.message}")

   end

   # Test the connection to the LDAP

@@ -77,7 +77,7 @@ class AuthSourceLdap < AuthSource

       end

     end

   rescue *NETWORK_EXCEPTIONS => e

-    raise AuthSourceException.new(e.message)
+    raise AuthSourceException.new("#{auth_method_name}: #{e.message}")

   end

   def auth_method_name

@@ -107,7 +107,7 @@ class AuthSourceLdap < AuthSource

     end

     results

   rescue *NETWORK_EXCEPTIONS => e

-    raise AuthSourceException.new(e.message)

+    raise AuthSourceException.new("#{auth_method_name}: #{e.message}")

   end

   def ldap_mode

#4 - 2021-09-09 03:06 - Yuichi HARADA

Go MAEDA wrote:

I think that just simply adding the prefix "LDAP" to an error message is better.

[...]

The reasons are as follows:

Adding the prefix "LDAP" is enough to understand that there is a problem with communication with the LDAP server

We don't have to add a new string to the locales

Redmine may support new auth sources other than LDAP in the future. The following way of using auth_method_name method can be

applied for new auth sources

[...]

 I agree. I think a patch will be simple.

#5 - 2021-10-15 02:59 - Go MAEDA

- File 33345-v2.patch added

Updated the patch using the code posted in #33345#note-3.

#6 - 2021-12-09 10:21 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#7 - 2021-12-13 10:17 - Go MAEDA

- Subject changed from Improvement of LDAP connection error message to Include an authentication method name in LDAP connection error

messages

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.

#8 - 2022-03-27 04:57 - Go MAEDA

- Tracker changed from Patch to Feature
